Subject: bug#12083: bug in groups command -- doesn't quote usage of group-separator in groupnames

From: Pádraig Brady <[email-masked]>
Date: Mon, 30 Jul 2012 00:39:02 +0100

forcemerge 12083 9987
stop

On 07/29/2012 09:24 PM, Linda Walsh wrote:
> the 'groups' only prints out a bunch of words, but it doesn't tell me which
> of those are groups and which of those are not groups.
> 
> It uses unquoted , space separated group name -- which has been known to be
> problematic for years (cf. find's -print0, or xargs -0, et al.).
> 
> If this was only a default, and it could optionally print them 1/line or
> a backslash before non-separator spaces in groupnames, or even with a
> null like find, it might be workable, but the default, as it is 100% likely
> to not print out Windows groupnames that it might be serving.
> 
> Even if it could use a TAB separator, that would still count as white space,
> but be 99% less likely (maybe 100%) to conflict with existing group names.
> 
> Fixable?  As it doesn't follow standards now, if one uses a space as a
> group separator, as what is listed, is incorrect (i.e. interpreting the list
> as a space separated group list will result in faulty results).

It's already on the TODO list.

cheers,
Pádraig.